Bug 424831 - slurpd needs an unexisting directory when starting replication
slurpd needs an unexisting directory when starting replication
Product: Fedora
Classification: Fedora
Component: openldap (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Jan Safranek
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2007-12-14 05:28 EST by Sergio Pascual
Modified: 2008-02-11 03:29 EST (History)
0 users

See Also:
Fixed In Version: openldap-2.3.39-3.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-11 03:29:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sergio Pascual 2007-12-14 05:28:45 EST
Description of problem:
I'm trying to setup replication with openldap. It seems that slurpd needs a (non
existing) directory called /var/openldap-slurp/replica 
The directory name can be overridden passing the -t option to slurpd

It would be nice to have a existing directory installed with openldap and one
that follows the FSH (/var/cache/slurp ? /var/lib/slurp/ ?, I don't know)
Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Jan Safranek 2008-01-14 08:09:16 EST
You are right, I forgot to add appropriate patches when upgrading to
openldap-2.3.34. As a workaround, please use "-t /var/run/ldap/replica"
argument. I'll release fixed package when I get more bugs.

BTW, the same applies to Fedora 8.
Comment 2 Jan Safranek 2008-01-14 08:12:53 EST
(In reply to comment #1)
> As a workaround, please use "-t /var/run/ldap/replica"
"-t /var/run/ldap", of course. The "replica" subdirectory will be added by slurpd.
Comment 3 Fedora Update System 2008-02-05 11:34:34 EST
openldap-2.3.34-6.fc7 has been submitted as an update for Fedora 7
Comment 4 Fedora Update System 2008-02-07 15:54:07 EST
openldap-2.3.34-6.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Sergio Pascual 2008-02-09 13:46:24 EST
The problem still persists in fc8 (I have migrated since :)
Comment 6 Jan Safranek 2008-02-11 03:29:28 EST
And I have released an security update openldap-2.3.39-3.fc8, with all bugfixes
accumulated so far -> the slurpd should use the right directory.

Note You need to log in before you can comment on or make changes to this bug.